##
##  orpie.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2014 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         orpie
Summary:      Full-Screen RPN Calculator
URL:          http://pessimization.com/software/orpie/
Vendor:       Paul Pelzl
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Algorithm
License:      GPL
Version:      1.5.2
Release:      20140413

#   list of sources
Source0:      http://pessimization.com/software/orpie/orpie-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gsl, ncurses, ocaml, make
PreReq:       OpenPKG, openpkg >= 20100101, gsl, ncurses

%description
    Orpie is a fullscreen RPN calculator for the console. Its operation
    is similar to that of modern HP calculators, but data entry has
    been optimized for efficiency on a PC keyboard. Features include
    extensive scientific calculator functionality, command completion,
    and a visible interactive stack.

%track
    prog orpie = {
        version   = %{version}
        url       = http://pessimization.com/software/orpie/
        regex     = orpie-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %{l_shtool} subst \
        -e 's;CFLAGS *= *-Wall  *-fPIC  *-DPIC;CFLAGS = @CFLAGS@ @CPPFLAGS@;' \
        -e 's;\($(OCAMLC) $(BFLAGS)\) \($(BLFLAGS)\) \(.*\);\1 \3 \2;' \
        -e 's;\($(OCAMLOPT) $(OFLAGS)\) \($(OLFLAGS)\) \(.*\);\1 \3 \2;' \
        Makefile.in

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lm" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-ncurses
    %{l_make} %{l_mflags}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/orpie \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5
    %{l_shtool} install -c -s -m 755 \
        orpie.opt $RPM_BUILD_ROOT%{l_prefix}/bin/orpie
    %{l_shtool} install -c -s -m 755 \
        orpie-curses-keys.opt $RPM_BUILD_ROOT%{l_prefix}/bin/orpie-curses-keys
    %{l_shtool} install -c -m 644 \
        orpierc $RPM_BUILD_ROOT%{l_prefix}/etc/orpie/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/orpie/orpierc'

%files -f files

%clean

